# Glaciary.JS

[![DeepScan grade](https://deepscan.io/api/teams/5144/projects/7012/branches/64070/badge/grade.svg)](https://deepscan.io/dashboard#view=project&tid=5144&pid=7012&bid=64070)
[![CircleCI](https://circleci.com/gh/GabrielLeonte/create-glaciary-app.svg?style=svg)](https://circleci.com/gh/GabrielLeonte/create-glaciary-app)
[![PRs Welcome](https://img.shields.io/badge/PRs-welcome-brightgreen.svg?style=flat-square)](https://github.com/GabrielLeonte/Glaciary.JS/pulls)

> The Rest API framework based on Express.JS and Socket.IO

## Get Started

Make sure you have [npx](https://www.npmjs.com/package/npx) installed (`npx` is shipped by default since [npm](https://www.npmjs.com/get-npm) `5.2.0`)

```bash
npx create-glaciary-app <my-project>
```

Or starting with npm v6.1 you can do:

```bash
npm init glaciary-app <my-project>
```

Or with [yarn](https://yarnpkg.com/en/):

```bash
yarn create glaciary-app <my-project>
```

## Links

- :book: Docs: [Docs](https://github.com/GabrielLeonte/glaciary-docs)
- :earth_africa: Discord: [Join](https://discord.gg/h3uKEt4)

## Features :fire:

- A simple way to setup a new route or event
- Configurable with a config.glaciary.js file
- Configurable default HTTP route with defaults.glaciary.js
- Configurable default Socket.IO Event with defaults.glaciary.js
- Easy to setup SSL Certificate with defaults.glaciary.js (still testing)
- Simple Debug system

<br/>

> If you want to contribute with any idea, you're welcome to share it with us :smile:
